%define hsc_name ghc
%define hsc_version %ghc_version
%define hsc_namever %hsc_name
%define h_pkg_name utf8-string
%define f_pkg_name utf8-string
%define pkg_libdir %_libdir/%hsc_name-%hsc_version/lib/%h_pkg_name-%version

Name: %hsc_namever-%f_pkg_name
Version: 0.3.5
Release: alt1

Summary: Support for reading and writing UTF8 Strings
License: BSD
Group: Development/Haskell

URL: http://code.haskell.org/utf8-string/
Source: utf8-string-%version.tar
Packager: Michael Shigorin <mike@altlinux.org>

BuildRequires: ghc haddock %hs_package_dependencies
BuildRequires: ghc-prof
BuildRequires(pre): rpm-build-haskell

%description
A UTF8 layer for IO and Strings. The utf8-string
package provides operations for encoding UTF8
strings to Word8 lists and back, and for reading and
writing UTF8 without truncation.

%package -n %hsc_namever-%f_pkg_name-prof
Summary: Profiling libraries for %hsc_namever-%f_pkg_name
Group: Development/Haskell
Requires: %hsc_namever-%f_pkg_name = %version

%description -n %hsc_namever-%f_pkg_name-prof
A UTF8 layer for IO and Strings. The utf8-string
package provides operations for encoding UTF8
strings to Word8 lists and back, and for reading and
writing UTF8 without truncation.

This package contains profiling libraries for %hsc_name %hsc_version.

%prep
%setup -n %h_pkg_name-%version

%build
if [ -f configure.ac -a ! -f configure ]; then autoreconf; fi
%hs_setup \
	%hs_configure \
		--prefix=%_prefix \
		--libdir=%_libdir \
		--docdir=%_docdir/%hsc_namever-%f_pkg_name-%version \
		--libsubdir='$compiler/lib/$pkgid' \
		--enable-library-profiling --ghc
if %hs_setup makefile -f cabal-rpm.mk
then
    %make_build -f cabal-rpm.mk || :
fi
%hs_setup build
%hs_setup haddock || :
%hs_setup register --gen-pkg-config=%f_pkg_name.pkg

%install
%hs_setup copy --destdir=%buildroot
install -m 755 %f_pkg_name.pkg %buildroot%pkg_libdir

mkdir -p %buildroot%hs_pkgconfdir
%hs_package_register %f_pkg_name.pkg %buildroot%hs_pkgconfdir/%f_pkg_name.conf

cd %buildroot
find .%pkg_libdir \( -name '*_p.a' -o -name '*.p_hi' \) \
| sed s/^.// >> %_builddir/%{?buildsubdir}/%name-files.prof
find .%pkg_libdir -type d \
| sed 's/^./%%dir /' >> %_builddir/%{?buildsubdir}/%name-files.nonprof
find .%pkg_libdir ! \( -type d -o -name '*_p.a' -o -name '*.p_hi' \) \
| sed s/^.// >> %_builddir/%{?buildsubdir}/%name-files.nonprof
sed 's,^/,%%exclude /,' %_builddir/%{?buildsubdir}/%name-files.prof \
>> %_builddir/%{?buildsubdir}/%name-files.nonprof

cd %buildroot%_datadir/doc/%hsc_namever-%f_pkg_name-%version
rm -rf doc LICENSE

%files -f %name-files.nonprof
%hs_pkgconfdir/%f_pkg_name.conf
%doc dist/doc/html
%doc LICENSE

%files -n %hsc_namever-%f_pkg_name-prof -f %name-files.prof

%changelog
* Tue Oct 06 2009 Alexey Voinov <voins@altlinux.ru> 0.3.5-alt1
- new version (0.3.5)

* Thu Nov 27 2008 Michael Shigorin <mike@altlinux.org> 0.2-alt2
- rebuild with current ghc

* Sun Feb 17 2008 Michael Shigorin <mike@altlinux.org> 0.2-alt1
- spec file autogenerated by cabal-rpm
- spec cleanup
